Bug 90890 - kernel-2.4.20-13.9 breaks Soundcard, Mozilla, ETH0
kernel-2.4.20-13.9 breaks Soundcard, Mozilla, ETH0
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 22:19 EDT by Gerald Cox
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 06:16:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from ~.13.9 kernel (problem occurs) (12.63 KB, text/plain)
2003-05-15 15:19 EDT, Gerald Cox
no flags Details
dmesg output from ~.9 kernel (previous - working) (10.57 KB, text/plain)
2003-05-15 15:20 EDT, Gerald Cox
no flags Details
lspci output from ~.13.9 kernel (problem occurs) (5.13 KB, text/plain)
2003-05-15 15:20 EDT, Gerald Cox
no flags Details
lspci output from ~.9 kernel (problem does not occur) (5.12 KB, text/plain)
2003-05-15 15:21 EDT, Gerald Cox
no flags Details
dmesg output (9.22 KB, text/plain)
2003-05-18 09:31 EDT, Miles Sabin
no flags Details
lspci -v output (3.44 KB, text/plain)
2003-05-18 09:32 EDT, Miles Sabin
no flags Details
lspci -v from Pentium IV 2.44 with 2 ethernet cards (4.27 KB, text/plain)
2003-05-22 01:44 EDT, arch harris
no flags Details

  None (edit)
Description Gerald Cox 2003-05-14 22:19:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Installed kernel-2.4.20-13.9 via UP2DATE.  Upon reboot, sound device not
available.  When using Mozilla, brower hangs.  Networking seems to function,
however SHUTDOWN hangs on ETH0 and requires a POWEROFF to clear.  I looked at
the bug list that was supposed to have been fixed by this release which included
issues with soundcards, ethernet.  Apparently new bugs were introduced into the
code.  Backed out to kernel-2.4.20-9 and system functioning properly.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1.  Shutdown system
2.  Boot system using kernel-2.4.20-13.9

    

Actual Results:  Same symptoms as described in description above.

Expected Results:  Same functionality as with kernel-2.4.20-9.

Additional info:

Since the new kernel was to address security issues with kernel-2.4.20-9 and I
am unable to run kernel-2.4.20-13.9 I am classifying this bug as related to a
security issue.
Comment 1 Gerald Cox 2003-05-14 22:42:53 EDT
System Motherboard is Gigabyte 7VRXP with AMD 1900XP Processor.
Soundcard is Creative Labs Audigy.
Creative EMU10K1 PCI Audio Driver, version 0.19a, 13:29:57 Apr  2 2003
emu10k1: Audigy rev 3 model 0x0051 found, IO at 0xe400-0xe41f, IRQ 12
ac97_codec: AC97  codec, id: TRA35 (TriTech TR A5)
00:0a.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
        Subsystem: Creative Labs SB0090 Audigy Player
        Flags: bus master, medium devsel, latency 32, IRQ 12
        I/O ports at e400 [size=32]
        Capabilities: [dc] Power Management version 2
Comment 2 Gerald Cox 2003-05-14 22:44:24 EDT
00:13.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RT8139
        Flags: bus master, medium devsel, latency 32, IRQ 12
        I/O ports at d400 [size=256]
        Memory at dffffe00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
Comment 3 Arjan van de Ven 2003-05-15 03:56:06 EDT
there hasn't been a change in the audigy driver ;(
Comment 4 Gerald Cox 2003-05-15 11:50:55 EDT
Thanks for the update.  Something in the new kernel however is causing problems
with the Audigy, Mozilla and hanging the shutdown process:  Activate the new
kernel, problems occur, backout to previous kernel, problems go away.  If there
is additional doc you wish, please advise.  
Comment 5 Jim Shanks 2003-05-15 15:15:22 EDT
I've found that shared PCI IRQs on the RedHat 2.4.20-xx.9 kernels are a bit 
more magic than science.  To make this kernel work with my Athlon XP 2000+/AMD 
760MPX system, I had to turn off my serial ports, parallel port and MPU 401 to 
free up IRQs so that my network, video (GeForce 4) and sound card (Audigy) 
would have different IRQs.  On a Dell Server with Dual Pentium IIIs, I had to 
do basically the same thing.  On one older system where the onboard sound and 
the AGP slot share interrupts regardless of the configuration, I haven't been 
able to make RedHat 9 work with sound even though 7.3 and 8.0 work fine.

Try moving your network card to a different IRQ by changing the slot or 
turning off other devices.  Make sure that your video card isn't on the same 
IRQ as the sound or network as well.
Comment 6 Gerald Cox 2003-05-15 15:19:22 EDT
Created attachment 91698 [details]
dmesg output from ~.13.9 kernel (problem occurs)
Comment 7 Gerald Cox 2003-05-15 15:20:11 EDT
Created attachment 91699 [details]
dmesg output from ~.9 kernel (previous - working)
Comment 8 Gerald Cox 2003-05-15 15:20:59 EDT
Created attachment 91700 [details]
lspci output from ~.13.9 kernel (problem occurs)
Comment 9 Gerald Cox 2003-05-15 15:21:37 EDT
Created attachment 91701 [details]
lspci output from ~.9 kernel (problem does not occur)
Comment 10 Gerald Cox 2003-05-15 15:24:20 EDT
I've attached dmesg and lspci output from working (previous) and not working
kernels.  Below is sample output from dmesg when running ~13.9 kernel which
shows an error.  Unable to handle kernel NULL ... 

Creative EMU10K1 PCI Audio Driver, version 0.19a, 11:37:29 May 12 2003
emu10k1: Audigy rev 3 model 0x0051 found, IO at 0xe400-0xe41f, IRQ 12
Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
00000000
*pde = 00000000
Oops: 0000
audigy ac97_codec sound soundcore radeon agpgart parport_pc lp parport
iptable_filter ip_tables autofs 8139too mii sg sr_mod cdrom ohci1394 ieee1394
ibmcam us
CPU:    0
EIP:    0060:[<00000000>]    Not tainted
Comment 11 Mirko Streckenbach 2003-05-16 01:59:49 EDT
When running 'netstat -ni' the command hangs. As the output of this program
is used my mozilla's random number generator, mozilla problems are caused
by this.
Comment 12 Marco 2003-05-16 15:43:14 EDT
Same problem here. Hangs when shutting down eth0, X doesn't start. Unusable
kernel with my pentium IV 2.53GHz.
Comment 13 Gerald Cox 2003-05-16 16:03:46 EDT
Changing platform to "ALL" from "ATHLON" based upon additional comments. 
Changing severity from "Security" to "Normal". 
Comment 14 Miles Sabin 2003-05-18 09:29:55 EDT
Similar problems here (Sony Z600 TEK laptop, was mostly fine with ~.9 kernel
with the exception of issues with the PCMCIA CD ROM). The lockup on eth0
shutdown is particularly irritating.
Comment 15 Miles Sabin 2003-05-18 09:31:52 EDT
Created attachment 91769 [details]
dmesg output
Comment 16 Miles Sabin 2003-05-18 09:32:22 EDT
Created attachment 91770 [details]
lspci -v output
Comment 17 Robert Banfield 2003-05-21 03:23:46 EDT
You can include me on this list also.
  * Sound Blaster Audigy no longer working
  * Shutting Eth0 caused machine to hang and needed manual power off
  * File system corrupted upon reboot and loading old kernel (magically fixed
itself by physically shutting down the system rather than warm boot)
  * Highly annoying!
Comment 18 Arjan van de Ven 2003-05-21 04:25:14 EDT
http://people.redhat.com/arjanv/testkernels/
has a kernel with audigy fixed at least
it had a baaad bug which could cause all other kinds of bad behavior.
Comment 19 arch harris 2003-05-22 01:44:42 EDT
Created attachment 91878 [details]
lspci -v from Pentium IV 2.44 with 2 ethernet cards

Same problem with ethernet.  I can disable either card, the problem will occur
with the other enabled card.
Comment 20 ammulder 2003-05-22 15:11:24 EDT
Same problem here.  Dual Athlon MP 2100, Audigy sound card.  When it boots, the
audigy module is not loaded.  When I modprobe it, I get a seg fault, and the
module is left in "initializing" state according to lsmod.  Then the network
interface stops working (perhaps the audigy is eating the interrupts or
something?) (eth0 is a tg3).  Then I can't shutdown because it freezes trying to
unload eth0.  X/KDE does come up for me (though with /dev/dsp message), for what
it's worth.  Back to 2.4.20-9.
Comment 21 Marco 2003-05-24 14:54:56 EDT
Arjan,

tested that new kernel, works for me. All problems are fixed on my pc (I also
have an Audigy).

Marco
Comment 22 chemist109 2003-05-27 09:16:56 EDT
Arjan,

I had similar problems with my Athlon+Audigy system.  New kernel works without
problems.
Comment 23 Arjan van de Ven 2003-06-03 06:16:21 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html

Note You need to log in before you can comment on or make changes to this bug.